# data

### Classes

ExperimentHandler
TrialHandler
MultiStairHandler
QuestHandler
Shelf

### Type Definitions

#### Snapshot

Source:
  - data/TrialHandler.js, line 194

##### Properties:

Name | Type | Description
--- | --- | ---
`handler` | TrialHandler | the trialHandler
`name` | string | the trialHandler name
`nStim` | number | the number of stimuli
`nTotal` | number | the total number of trials that will be run
`nRemaining` | number | the total number of trial remaining
`thisRepN` | number | the current repeat
`thisTrialN` | number | the current trial number within the current repeat
`thisN` | number | the total number of trials completed so far
`thisIndex` | number | the index of the current trial in the conditions list
`ran` | number | whether or not the trial ran
`finished` | number | whether or not the trials finished
`trialAttributes` | Object | a list of trial attributes

##### Type:

- Object